# Makefile.in generated automatically by automake 1.2 from Makefile.am

# Copyright (C) 1994, 1995, 1996, 1997 Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy, distribute and modify it.


SHELL = /bin/sh

srcdir = @srcdir@
top_srcdir = @top_srcdir@
VPATH = @srcdir@
prefix = @prefix@
exec_prefix = @exec_prefix@

bindir = @bindir@
sbindir = @sbindir@
libexecdir = @libexecdir@
datadir = @datadir@
sysconfdir = @sysconfdir@
sharedstatedir = @sharedstatedir@
localstatedir = @localstatedir@
libdir = @libdir@
infodir = @infodir@
mandir = @mandir@
includedir = @includedir@
oldincludedir = /usr/include

pkgdatadir = $(datadir)/@PACKAGE@
pkglibdir = $(libdir)/@PACKAGE@
pkgincludedir = $(includedir)/@PACKAGE@

top_builddir = .

ACLOCAL = @ACLOCAL@
AUTOCONF = @AUTOCONF@
AUTOMAKE = @AUTOMAKE@
AUTOHEADER = @AUTOHEADER@

INSTALL = @INSTALL@
INSTALL_PROGRAM = @INSTALL_PROGRAM@
INSTALL_DATA = @INSTALL_DATA@
INSTALL_SCRIPT = @INSTALL_SCRIPT@
transform = @program_transform_name@

NORMAL_INSTALL = true
PRE_INSTALL = true
POST_INSTALL = true
NORMAL_UNINSTALL = true
PRE_UNINSTALL = true
POST_UNINSTALL = true
host_alias = @host_alias@
host_triplet = @host@
CC = @CC@
CXX = @CXX@
INCLUDES = @INCLUDES@
LIBS = @LIBS@
LIBTOOL = @LIBTOOL@
MAKEINFO = @MAKEINFO@
PACKAGE = @PACKAGE@
RANLIB = @RANLIB@
SGI_SPECIFIC = @SGI_SPECIFIC@
VERSION = @VERSION@
arch_ld_flags = @arch_ld_flags@
shell_prog = @shell_prog@
source_dirs = @source_dirs@
target = @target@

bd = ../Base
cd = ../Control
md = ../Manips
gd = ../Geos
nd = ../NonGeos
pd = ../Pixes

BASE_CORE = $(bd)/CPPExtern.cpp $(bd)/GemMan.cpp $(cd)/gemhead.cpp $(bd)/GemBase.cpp $(bd)/sgiimage.cpp
BASE_EXT = $(bd)/GemShape.cpp $(bd)/TextBase.cpp $(bd)/GemGluObj.cpp $(bd)/GemPixObj.cpp $(bd)/GemPixDualObj.cpp
BASE_OBJ = ${BASE_CORE} ${BASE_EXT}
UTILS_BASE = $(bd)/GemSetup.cpp $(bd)/GemState.cpp $(bd)/GemCache.cpp $(bd)/GemDag.cpp
UTILS_PIX = $(bd)/GemPixUtil.cpp $(bd)/GemPixImageLoad.cpp
UTILS_OS = $(bd)/GemWinCreateXWin.cpp
UTILS = ${UTILS_BASE} ${UTILS_PIX} ${UTILS_OS}

CONTROLS = $(cd)/gemwin.cpp $(cd)/camera.cpp $(cd)/render_trigger.cpp
MANIPS_A = $(md)/translateXYZ.cpp $(md)/scaleXYZ.cpp $(md)/colorRGB.cpp
MANIPS_B = $(md)/rotate.cpp $(md)/translate.cpp $(md)/scale.cpp $(md)/color.cpp $(md)/depth.cpp $(md)/alpha.cpp $(md)/separator.cpp
MANIPULATORS = ${MANIPS_A} ${MANIPS_B}
TWODGEOS = $(gd)/square.cpp $(gd)/triangle.cpp $(gd)/circle.cpp $(gd)/text2d.cpp
THREEDGEOS = $(gd)/cube.cpp $(gd)/cone.cpp $(gd)/sphere.cpp $(gd)/imageVert.cpp $(gd)/text3d.cpp $(gd)/textoutline.cpp
SPEC_GEOS = $(gd)/polygon.cpp $(gd)/model.cpp $(gd)/multimodel.cpp $(gd)/curve.cpp $(gd)/colorSquare.cpp
GEOS = ${TWODGEOS} ${THREEDGEOS} ${SPEC_GEOS}

NONGEOS = $(nd)/world_light.cpp  $(nd)/light.cpp
PIX_GEOS = $(pd)/pix_image.cpp $(pd)/pix_multiimage.cpp $(pd)/pix_texture.cpp $(pd)/pix_draw.cpp $(pd)/pix_snap.cpp
PIX_CONTROLS = $(pd)/pix_resize.cpp $(pd)/pix_buf.cpp $(pd)/pix_zoom.cpp
PIX_MANA = $(pd)/pix_add.cpp $(pd)/pix_subtract.cpp $(pd)/pix_multiply.cpp
PIX_MANB = $(pd)/pix_threshold.cpp $(pd)/pix_gain.cpp $(pd)/pix_color.cpp $(pd)/pix_bitmask.cpp $(pd)/pix_flip.cpp
PIX_MANC = $(pd)/pix_colormatrix.cpp $(pd)/pix_alpha.cpp $(pd)/pix_convolve.cpp $(pd)/pix_composite.cpp
PIX_MAND = $(pd)/pix_coloralpha.cpp $(pd)/pix_mask.cpp $(pd)/pix_clearblock.cpp
PIX_MANE = $(pd)/pix_coordinate.cpp $(pd)/pix_2grey.cpp $(pd)/pix_invert.cpp
PIX_MANIPS = ${PIX_MANA} ${PIX_MANB} ${PIX_MANC} ${PIX_MAND} ${PIX_MANE}
PIXES = ${PIX_GEOS} ${PIX_CONTROLS} ${PIX_MANIPS}

gemdir = $(libdir)/gem

Gem_pd_SOURCES = ${BASE_OBJ} ${UTILS} ${CONTROLS} ${MANIPULATORS} \
      ${GEOS} ${NONGEOS} ${PIXES} ${SGI_SPECIFIC} 

Gem_pd_LDADD = @arch_ld_flags@

noinst_PROGRAMS = Gem.pd
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_CLEAN_FILES = 
PROGRAMS =  $(noinst_PROGRAMS)


DEFS = @DEFS@ -I. -I$(srcdir) 
CPPFLAGS = @CPPFLAGS@
LDFLAGS = @LDFLAGS@
X_CFLAGS = @X_CFLAGS@
X_LIBS = @X_LIBS@
X_EXTRA_LIBS = @X_EXTRA_LIBS@
X_PRE_LIBS = @X_PRE_LIBS@
Gem_pd_OBJECTS =  CPPExtern.o GemMan.o gemhead.o GemBase.o sgiimage.o \
GemShape.o TextBase.o GemGluObj.o GemPixObj.o GemPixDualObj.o \
GemSetup.o GemState.o GemCache.o GemDag.o GemPixUtil.o \
GemPixImageLoad.o GemWinCreateXWin.o gemwin.o camera.o render_trigger.o \
translateXYZ.o scaleXYZ.o colorRGB.o rotate.o translate.o scale.o \
color.o depth.o alpha.o separator.o square.o triangle.o circle.o \
text2d.o cube.o cone.o sphere.o imageVert.o text3d.o textoutline.o \
polygon.o model.o multimodel.o curve.o colorSquare.o world_light.o \
light.o pix_image.o pix_multiimage.o pix_texture.o pix_draw.o \
pix_snap.o pix_resize.o pix_buf.o pix_zoom.o pix_add.o pix_subtract.o \
pix_multiply.o pix_threshold.o pix_gain.o pix_color.o pix_bitmask.o \
pix_flip.o pix_colormatrix.o pix_alpha.o pix_convolve.o pix_composite.o \
pix_coloralpha.o pix_mask.o pix_clearblock.o pix_coordinate.o \
pix_2grey.o pix_invert.o
Gem_pd_DEPENDENCIES = 
Gem_pd_LDFLAGS = 
CXXFLAGS = @CXXFLAGS@
CXXCOMPILE = $(CXX) $(DEFS) $(INCLUDES) $(CPPFLAGS) $(CXXFLAGS)
CXXLINK = $(CXX) $(CXXFLAGS) $(LDFLAGS) -o $@
DIST_COMMON =  Makefile.am Makefile.in acinclude.m4 aclocal.m4 \
config.guess config.sub configure configure.in install-sh missing \
mkinstalldirs


DISTFILES = $(DIST_COMMON) $(SOURCES) $(HEADERS) $(TEXINFOS) $(EXTRA_DIST)

TAR = tar
GZIP = --best
DEP_FILES =  .deps/CPPExtern.P .deps/GemBase.P .deps/GemCache.P \
.deps/GemDag.P .deps/GemGluObj.P .deps/GemMan.P .deps/GemPixDualObj.P \
.deps/GemPixImageLoad.P .deps/GemPixObj.P .deps/GemPixUtil.P \
.deps/GemSetup.P .deps/GemShape.P .deps/GemState.P \
.deps/GemWinCreateXWin.P .deps/TextBase.P .deps/alpha.P .deps/camera.P \
.deps/circle.P .deps/color.P .deps/colorRGB.P .deps/colorSquare.P \
.deps/cone.P .deps/cube.P .deps/curve.P .deps/depth.P .deps/gemhead.P \
.deps/gemwin.P .deps/imageVert.P .deps/light.P .deps/model.P \
.deps/multimodel.P .deps/pix_2grey.P .deps/pix_add.P .deps/pix_alpha.P \
.deps/pix_bitmask.P .deps/pix_buf.P .deps/pix_clearblock.P \
.deps/pix_color.P .deps/pix_coloralpha.P .deps/pix_colormatrix.P \
.deps/pix_composite.P .deps/pix_convolve.P .deps/pix_coordinate.P \
.deps/pix_draw.P .deps/pix_flip.P .deps/pix_gain.P .deps/pix_image.P \
.deps/pix_invert.P .deps/pix_mask.P .deps/pix_multiimage.P \
.deps/pix_multiply.P .deps/pix_resize.P .deps/pix_snap.P \
.deps/pix_subtract.P .deps/pix_texture.P .deps/pix_threshold.P \
.deps/pix_zoom.P .deps/polygon.P .deps/render_trigger.P .deps/rotate.P \
.deps/scale.P .deps/scaleXYZ.P .deps/separator.P .deps/sgiimage.P \
.deps/sphere.P .deps/square.P .deps/text2d.P .deps/text3d.P \
.deps/textoutline.P .deps/translate.P .deps/translateXYZ.P \
.deps/triangle.P .deps/world_light.P
CXXMKDEP = $(CXX) -M $(DEFS) $(INCLUDES) $(CPPFLAGS) $(CXXFLAGS)
SOURCES = $(Gem_pd_SOURCES)
OBJECTS = $(Gem_pd_OBJECTS)

default: all

.SUFFIXES:
.SUFFIXES: .c .cpp .o
$(srcdir)/Makefile.in: Makefile.am $(top_srcdir)/configure.in $(ACLOCAL_M4) 
	cd $(top_srcdir) && $(AUTOMAKE) --foreign Makefile

Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status $(BUILT_SOURCES)
	cd $(top_builddir) \
	  && CONFIG_FILES=$@ CONFIG_HEADERS= $(SHELL) ./config.status

$(ACLOCAL_M4):  configure.in  acinclude.m4
	cd $(srcdir) && $(ACLOCAL)

config.status: $(srcdir)/configure
	$(SHELL) ./config.status --recheck
$(srcdir)/configure: $(srcdir)/configure.in $(ACLOCAL_M4) $(CONFIGURE_DEPENDENCIES)
	cd $(srcdir) && $(AUTOCONF)

mostlyclean-noinstPROGRAMS:

clean-noinstPROGRAMS:
	test -z "$(noinst_PROGRAMS)" || rm -f $(noinst_PROGRAMS)

distclean-noinstPROGRAMS:

maintainer-clean-noinstPROGRAMS:

.c.o:
	$(COMPILE) -c $<

mostlyclean-compile:
	rm -f *.o core

clean-compile:

distclean-compile:
	rm -f *.tab.c

maintainer-clean-compile:

Gem.pd: $(Gem_pd_OBJECTS) $(Gem_pd_DEPENDENCIES)
	@rm -f Gem.pd
	$(CXXLINK) $(Gem_pd_LDFLAGS) $(Gem_pd_OBJECTS) $(Gem_pd_LDADD) $(LIBS)
.cpp.o:
	$(CXXCOMPILE) -c $<

tags: TAGS

ID: $(HEADERS) $(SOURCES)
	here=`pwd` && cd $(srcdir) && mkid -f$$here/ID $(SOURCES) $(HEADERS)

TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES)
	tags=; \
	here=`pwd`; \
	test -z "$(ETAGS_ARGS)$(SOURCES)$(HEADERS)$$tags" \
	  || (cd $(srcdir) && etags $(ETAGS_ARGS) $$tags  $(SOURCES) $(HEADERS) -o $$here/TAGS)

mostlyclean-tags:

clean-tags:

distclean-tags:
	rm -f TAGS ID

maintainer-clean-tags:

distdir = $(PACKAGE)-$(VERSION)
top_distdir = $(distdir)

# This target untars the dist file and tries a VPATH configuration.  Then
# it guarantees that the distribution is self-contained by making another
# tarfile.
distcheck: dist
	rm -rf $(distdir)
	GZIP=$(GZIP) $(TAR) zxf $(distdir).tar.gz
	mkdir $(distdir)/=build
	mkdir $(distdir)/=inst
	dc_install_base=`cd $(distdir)/=inst && pwd`; \
	cd $(distdir)/=build \
	  && ../configure --srcdir=.. --prefix=$$dc_install_base \
	  && $(MAKE) \
	  && $(MAKE) dvi \
	  && $(MAKE) check \
	  && $(MAKE) install \
	  && $(MAKE) installcheck \
	  && $(MAKE) dist
	rm -rf $(distdir)
	@echo "========================"; \
	echo "$(distdir).tar.gz is ready for distribution"; \
	echo "========================"
dist: distdir
	-chmod -R a+r $(distdir)
	GZIP=$(GZIP) $(TAR) chozf $(distdir).tar.gz $(distdir)
	rm -rf $(distdir)
dist-all: distdir
	-chmod -R a+r $(distdir)
	GZIP=$(GZIP) $(TAR) chozf $(distdir).tar.gz $(distdir)
	rm -rf $(distdir)
distdir: $(DISTFILES)
	rm -rf $(distdir)
	mkdir $(distdir)
	-chmod 777 $(distdir)
	here=`cd $(top_builddir) && pwd`; \
	top_distdir=`cd $(top_distdir) && pwd`; \
	cd $(top_srcdir) \
	  && $(AUTOMAKE) --include-deps --build-dir=$$here --srcdir-name=$(top_srcdir) --output-dir=$$top_distdir --foreign Makefile
	@for file in $(DISTFILES); do \
	  d=$(srcdir); \
	  test -f $(distdir)/$$file \
	  || ln $$d/$$file $(distdir)/$$file 2> /dev/null \
	  || cp -p $$d/$$file $(distdir)/$$file; \
	done

MKDEP = gcc -M $(DEFS) $(INCLUDES) $(CPPFLAGS) $(CFLAGS)

DEPS_MAGIC := $(shell mkdir .deps > /dev/null 2>&1 || :)
-include .deps/.P
.deps/.P: $(BUILT_SOURCES)
	echo > $@

-include $(DEP_FILES)

mostlyclean-depend:

clean-depend:

distclean-depend:

maintainer-clean-depend:
	rm -rf .deps

.deps/%.P: %.c
	@echo "Computing dependencies for $<..."
	@o='o'; \
	test -n "$o" && o='$$o'; \
	$(MKDEP) $< >$@.tmp \
	  && sed "s,^\(.*\)\.o:,\1.$$o \1.l$$o $@:," < $@.tmp > $@ \
	  && rm -f $@.tmp

.deps/%.P: %.cpp
	@echo "Computing dependencies for $<..."
	@o='o'; \
	$(CXXMKDEP) $< >$@.tmp \
	  && sed "s,^\(.*\)\.o:,\1.$$o \1.l$$o $@:," < $@.tmp > $@ \
	  && rm -f $@.tmp
info:
dvi:
check: all
	$(MAKE)
installcheck:
install-exec: 
	@$(NORMAL_INSTALL)

install-data: 
	@$(NORMAL_INSTALL)

install: install-exec install-data all
	@:

uninstall: 

all: Makefile $(PROGRAMS)

install-strip:
	$(MAKE) INSTALL_PROGRAM='$(INSTALL_PROGRAM) -s' INSTALL_SCRIPT='$(INSTALL_PROGRAM)' install
installdirs:


mostlyclean-generic:
	test -z "$(MOSTLYCLEANFILES)" || rm -f $(MOSTLYCLEANFILES)

clean-generic:
	test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)

distclean-generic:
	rm -f Makefile $(DISTCLEANFILES)
	rm -f config.cache config.log stamp-h stamp-h[0-9]*
	test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)

maintainer-clean-generic:
	test -z "$(MAINTAINERCLEANFILES)" || rm -f $(MAINTAINERCLEANFILES)
	test -z "$(BUILT_SOURCES)" || rm -f $(BUILT_SOURCES)
mostlyclean:  mostlyclean-noinstPROGRAMS mostlyclean-compile \
		mostlyclean-tags mostlyclean-depend mostlyclean-generic

clean:  clean-noinstPROGRAMS clean-compile clean-tags clean-depend \
		clean-generic mostlyclean

distclean:  distclean-noinstPROGRAMS distclean-compile distclean-tags \
		distclean-depend distclean-generic clean
	rm -f config.status

maintainer-clean:  maintainer-clean-noinstPROGRAMS \
		maintainer-clean-compile maintainer-clean-tags \
		maintainer-clean-depend maintainer-clean-generic \
		distclean
	@echo "This command is intended for maintainers to use;"
	@echo "it deletes files that may require special tools to rebuild."
	rm -f config.status

.PHONY: default mostlyclean-noinstPROGRAMS distclean-noinstPROGRAMS \
clean-noinstPROGRAMS maintainer-clean-noinstPROGRAMS \
mostlyclean-compile distclean-compile clean-compile \
maintainer-clean-compile tags mostlyclean-tags distclean-tags \
clean-tags maintainer-clean-tags distdir mostlyclean-depend \
distclean-depend clean-depend maintainer-clean-depend info dvi \
installcheck install-exec install-data install uninstall all \
installdirs mostlyclean-generic distclean-generic clean-generic \
maintainer-clean-generic clean mostlyclean distclean maintainer-clean


     ## Process this file with automake to produce Makefile.in

vpath %.cpp @source_dirs@

all:
	cp Gem.pd ../../Gem.@target@

clean:
	rm ../../Gem.@target@

# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:
